# $Revision: 1.5 $, $Date: 2006/08/22 15:27:26 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Simple-Creator
Summary:	Email::Simple::Creator - Email::Simple constructor for starting anew
Summary(pl):	Email::Simple::Creator - konstruktor dla Email::Simple do startu "od zera"
Name:		perl-Email-Simple-Creator
Version:	1.41
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f765b894148dbfd4375e81c941cd123
URL:		http://search.cpan.org/dist/Email-Simple-Creator/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Date
BuildRequires:	perl-Email-Simple
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This software provides a constructor to Email::Simple for creating
messages from scratch.

%description -l pl
Modu ten udostpnia konstruktor dla Email::Simple tworzcy wiadomoci
"od zera".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Email/Simple/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Simple-Creator.spec,v $
Revision 1.5  2006/08/22 15:27:26  glen
- rel 1, generic url

Revision 1.4  2006/08/10 21:49:13  agaran
- up to 1.41, rel 0.1, builds here

Revision 1.3  2004/12/10 00:36:50  ankry
- typos

Revision 1.2  2004/12/09 23:25:41  ankry
- pl

Revision 1.1  2004/12/09 23:19:05  radek
- new
